#ifndef __config_h
#define __config_h

#include "platform.h"
#include "..\common_config.h"
#include "draw\draw_auto_driver.h"



// - - - - - - - - - - - - - - - - - - - - 
// LDP-8008 defines
// - - - - - - - - - - - - - - - - - - - - 

#define BOARD_REFRESH 30000

#define DRAW_DRIVER LDP8008

#define BIGNUM_NOT_SUPPORTED



#define ea_ldp8008_displays 9
// For more than one display:
#define ea_ldp8008_display_orientation HORIZONTAL

#define ea_ldp8008_en_port PORTC
#define ea_ldp8008_en_pin  2

#define ea_ldp8008_r_port PORTA
#define ea_ldp8008_r_pin  5

#define ea_ldp8008_g_port PORTC
#define ea_ldp8008_g_pin  3

#define ea_ldp8008_a_port PORTA
#define ea_ldp8008_a_pin  1

#define ea_ldp8008_b_port PORTA
#define ea_ldp8008_b_pin  2

#define ea_ldp8008_c_port PORTA
#define ea_ldp8008_c_pin  3

#define ea_ldp8008_s_port PORTB
#define ea_ldp8008_s_pin  4

#define ea_ldp8008_l_port PORTC
#define ea_ldp8008_l_pin  0

#define ea_ldp8008_max_brightness 3


// y
#define DRAW_PIXELS_HIGH 8

// x
#define DRAW_PIXELS_WIDE 720

// red and green leds per pixel = 2 colours = 2 bits
#define DRAW_BITS_PER_PIXEL 2
#define DRAW_HW_Y_ORIGIN TOP_LEFT
#define DRAW_HW_BUFFER_ORIENTATION HORIZONTAL
#define DRAW_DEBUG


// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -

#define VERSION "LDP-8008 Driver"
// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on

#ifdef BIGNUM_NOT_SUPPORTED
	#undef DRAW_FONT_BIGNUM
#endif
#endif